AbstractTransactionState.LiveTransactionRollbackDelegate (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: AbstractTransactionState, class: LiveTransactionRollbackDelegate

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class AbstractTransactionState.LiveTransactionRollbackDelegate

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.AbstractTransactionState.LiveTransactionRollbackDelegate

All Implemented Interfaces:
  `ch.systemsx.cisd.etlserver.registrator.api.impl.RollbackStack.IRollbackStackDelegate`

Enclosing class:
  `AbstractTransactionState<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation>`

public static class AbstractTransactionState.LiveTransactionRollbackDelegate extends Object implements ch.systemsx.cisd.etlserver.registrator.api.impl.RollbackStack.IRollbackStackDelegate
Rollback stack delegate that checks whether the given filesystem is accessible before letting the rollback continue.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LiveTransactionRollbackDelegate(File stagingDirectory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `willContinueRollbackAll(ch.systemsx.cisd.etlserver.registrator.api.impl.RollbackStack stack)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LiveTransactionRollbackDelegate

    public LiveTransactionRollbackDelegate(File stagingDirectory)
    Parameters:
      `stagingDirectory` - Expects a staging directory

- ## Method Details

  - ### willContinueRollbackAll

    public void willContinueRollbackAll(ch.systemsx.cisd.etlserver.registrator.api.impl.RollbackStack stack)
    Specified by:
      `willContinueRollbackAll` in interface `ch.systemsx.cisd.etlserver.registrator.api.impl.RollbackStack.IRollbackStackDelegate`